/**
 * Custom directive to manage a sigma.js canvas.
 *
 * See https://github.com/jacomyal/sigma.js for the sigma js library.
 *
 * @author Leah Jones (leah@l12s.com)
 */


awsSecurityGroupsApp.directive('sigma', function() {

  return {
    template: '<div></div>',
    restrict: 'A',
    link: function postLink(scope, element, attrs) {

      var sigInst = sigma.init(element[0]);
      sigInst.addNode('hello', {
        label: 'Hello',
        color: '#ff0000'
      }).addNode('world', {
        label: 'World !',
        color: '#00ff00'
      }).addEdge('hello_world', 'hello', 'world').draw();

    }
  };

});
